IT: OTS (China) - 0 0 Bug #227

Delivery date cannot be less than input date
10/12/2022 10:40 AM - Xihua Fan

Status: aao Start date: 10/12/2022
Priority: aa Due date: 10/14/2022
Assignee: Zhongbao Ye % Done: 100%
Category: Estimated time: 8.00 hours
Target version: v3.0 Spent time: 4.00 hours
Description

Task Details

1. Currently Delivery date can be set < Input Date (see attachment)
2. We should add some validation to set Delivery date >= Input Date dayas.

Input

e Claim from Lee
Output

* Report and Solution

Others

History

#1 - 10/12/2022 10:40 AM - Xihua Fan
- File Delivery Date Issue.png added

#2 - 10/13/2022 10:08 AM - Xihua Fan
- Subject changed from Delivery date should be greater than input date to Delivery date cannot be less than input date

- Description updated

#3 - 10/13/2022 10:08 AM - Xihua Fan

- Description updated

#4 - 10/13/2022 10:46 AM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 0 to 100

Output(2022/10/13)

1. 000000delivery date 0000000

2. 100000delivery date 00000000000
3.0000000000;s0000000000000D0O000D0O000DO

order/ui/desktop/js/order. js

old:

complete: function (b,c) {e.orderGrid("closeEditor", {editor:d, row:a, isSave:!0,data:null,updateRows:!1});

new:

complete: function(b,c) {if (!b.responseJSON. success) {return 0; }e.orderGrid("closeEditor", {editor:d, row:a, isSave:
10,data:null,updateRows:!1});

protected/actions/order/SaveByAjaxAction.php:run ()

try {

// The delivery date should be greater than the order input date
if (SorderRetailerShipTime) {

12/20/2025 1/2




if (SorderId) {
SorderInfo

$ScreateDate

} else {

ScreateDate

}

if (strtotime ($SorderRetailerShipTime)

#5 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0

Files

Order: :model () —>findByPk ($orderId) ;

SorderInfo->create_time;

time () ;

< strtotime (date ("Y-m-d", S$createDate)))
throw new Exception("Delivery date cannot be less than input date");
